:root {
  --primary-color: #161616;
  --primary-color-hover: #0c0c0c;
  --font-family-zalando-sans: "Zalando Sans", sans-serif;
  --font-family-spectral: "Spectral", sans-serif;

  --drawer-height: 2rem;
  --container-width: 90rem;
}

:root:has(#wpadminbar) {
  --wpadminbar-height: 2rem;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 16px;
  scroll-behavior: smooth;
  scroll-padding: 0;
}

html.modal-open {
  overflow: hidden;
  padding-right: 15px;
}

html.modal-open .header.is-fixed {
  padding-right: calc(3rem + 15px);
}

body {
  font-family: var(--font-family-zalando-sans);
  font-optical-sizing: auto;
  background-color: var(--primary-color);
}

html,
body {
  overflow-x: clip;
}

a {
  color: #fff;
  text-decoration: none;
  text-underline-offset: 5px;
}

a:is(:focus, :active) {
  color: #fff;
}

button {
  cursor: pointer;
}

textarea {
  resize: none;
}

input,
textarea {
  transition: 
    .1s border-color ease-in-out,
    .1s color ease-in-out;
}

input, 
button, 
textarea {
  border: none;
  outline: none;
  background-color: transparent;
  font-family: var(--font-family-zalando-sans);
}

a, 
button {
  transition: 
    .1s background-color ease-in-out,
    .1s border-color ease-in-out,
    .1s outline-color ease-in-out,
    .1s opacity ease-in-out,
    .1s color ease-in-out;
}

button:has(.loader) {
  position: relative;
}

button:has(.loader) > :not(.loader) {
  transition: .1s opacity ease-in-out, .1s visibility ease-in-out;
}

button.loading {
  pointer-events: none;
  cursor: default;
}

button.loading .loader {
  opacity: 1;
  visibility: visible;
}

button.loading > :not(.loader) {
  opacity: 0;
  visibility: hidden;
}

ul {
  list-style: none;
}

path {
  transition: .1s fill ease-in-out;
}

.container {
  max-width: 90rem;
}

.container--large {
  max-width: 1920px;
  padding: 0 4rem;
}

.container,
.container--large {
  width: 100%;
  margin: 0 auto;
}

.icon {
  transition: 
    .1s opacity ease-in-out,
    .1s transform ease-in-out;
}

.icon svg {
  pointer-events: none;
}

.loader {
  width: 24px;
  height: 24px;
  pointer-events: none;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: .1s opacity ease-in-out, .1s visibility ease-in-out;
  opacity: 0;
  visibility: hidden;
}

.loader svg path {
  fill: var(--primary-color);
  transform-origin: 50% 50%;
  animation: spin .75s linear infinite;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  } 
}

.icon,
.loader {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  user-select: none;
}

.section__explanation {
  font-family: var(--font-family-spectral);
  font-style: italic;
  font-weight: 400;
  font-size: 2rem;
  line-height: 1;
  color: #8B8B8B;
}

h2.section__title {
  font-style: normal;
  font-weight: 400;
  font-size: 2.5rem;
  line-height: 3.25rem;
  text-align: center;
  letter-spacing: -0.04em;
  color: #161616;
}

h2.section__title span {
  color: #8B8B8B;
  display: inline;
}

.section--gray {
  background-color: #F8F8F8;
}

.section--dark {
  background-color: var(--primary-color);
}

.section--white {
  background-color: #fff;
}
